opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
cv::BOWImgDescriptorExtractor Class Reference

`#include <features2d.hpp>`

## Public Member Functions
| BOWImgDescriptorExtractor (const Ptr< DescriptorExtractor > &dextractor, const Ptr< DescriptorMatcher > &dmatcher)
void | compute (const Mat &image, vector< KeyPoint > &keypoints, Mat &imgDescriptor, vector< vector< int > > *pointIdxsOfClusters=0, Mat *descriptors=0)
int | descriptorSize () const
int | descriptorType () const
const Mat & | getVocabulary () const
void | setVocabulary (const Mat &vocabulary)
virtual | ~BOWImgDescriptorExtractor ()

## Protected Attributes
Ptr< DescriptorExtractor > | dextractor
Ptr< DescriptorMatcher > | dmatcher
Mat | vocabulary

## Constructor & Destructor Documentation

cv::BOWImgDescriptorExtractor::BOWImgDescriptorExtractor | ( | const Ptr< DescriptorExtractor > & | dextractor,
|  | const Ptr< DescriptorMatcher > & | dmatcher
| ) |  |

virtual cv::BOWImgDescriptorExtractor::~BOWImgDescriptorExtractor | ( |  | ) |
| virtual

## Member Function Documentation

void cv::BOWImgDescriptorExtractor::compute | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | Mat & | imgDescriptor,
|  | vector< vector< int > > * | pointIdxsOfClusters = `0`,
|  | Mat * | descriptors = `0`
| ) |  |

int cv::BOWImgDescriptorExtractor::descriptorSize | ( |  | ) | const

int cv::BOWImgDescriptorExtractor::descriptorType | ( |  | ) | const

const Mat& cv::BOWImgDescriptorExtractor::getVocabulary | ( |  | ) | const

void cv::BOWImgDescriptorExtractor::setVocabulary | ( | const Mat & | vocabulary | ) |

## Member Data Documentation

Ptr<DescriptorExtractor> cv::BOWImgDescriptorExtractor::dextractor
| protected

Ptr<DescriptorMatcher> cv::BOWImgDescriptorExtractor::dmatcher
| protected

Mat cv::BOWImgDescriptorExtractor::vocabulary
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp